cURL
Simulator
Enable simulation sharing
Call the share endpoint to enable the public sharing feature for a simulation ID from a specific account or project. Once enabled, simulation details become accessible to anyone with the link to the transaction simulation.
Example sharable link: https://www.tdly.co/shared/simulation/{simulationId}.
Learn more about sharing transactions.
POST
cURL
Authorizations
An API key is a token that a client provides when making API calls. The key can be sent as a request header:
curl 'https://api.tenderly.co/api/v1/account/${TENDERLY_ACCOUNT_SLUG}/project/${TENDERLY_PROJECT_SLUG}/simulate' \
-H 'X-Access-Key: ${TENDERLY_ACCESS_KEY}' \
...
Learn how to generate API access tokens at Tenderly Docs.
Path Parameters
Account slug of the user
Project slug of the account
Simulation Id to get info for
Response
The simulation was shared successfully.